#!/bin/sh

debug=no

die () {
  echo "*** configure.sh: $*" 1>&2
  exit 1
}

msg () {
  echo "[configure.sh] $*"
}

while [ $# -gt 0 ]
do
  case $1 in
    -h)
    
cat <<EOF
usage: configure.sh [-h][-g]
-h             print this command line option summary
-g             compile with debugging information
EOF
exit 0
;;
    -g) debug=yes;;
    *) die "invalid option '$1' (try '-h')";;
  esac
  shift
done

CC=gcc
CFLAGS="$CFLAGS -Wall"

if [ $debug = yes ]
then
  CFLAGS="-g"
else
  CFLAGS="-O3 -DNDEBUG"
fi

CFLAGS="$CFLAGS -DVERSION=`cat VERSION`"
LIBS="-lm"

msg "LIBS=$LIBS"
msg "DEPS=$DEPS"
msg "CC=$CC"
msg "CFLAGS=$CFLAGS"

rm -f makefile
sed -e "s,@CC@,$CC," \
    -e "s,@CFLAGS@,$CFLAGS," \
    -e "s,@LIBS@,$LIBS," \
    -e "s,@DEPS@,$DEPS," \
makefile.in > makefile
